Skip to main content
POST
/
vaults
/
{vaultId}
/
wallets
Create a new wallet in a vault
curl --request POST \
  --url https://api.anchorage-staging.com/v2/vaults/{vaultId}/wallets \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "networkId": "BTC",
  "compatibleNetworkIds": [
    "<string>"
  ],
  "subaccountId": "<string>",
  "walletName": "Bitcoin Mainnet - Wallet 1"
}
'
{
  "data": {
    "walletId": "3d293c0d64c703023692216e9b4f5280",
    "walletName": "Bitcoin Mainnet - Wallet 1",
    "depositAddress": {
      "address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
      "addressId": "a33f83d96ca95cac000a344aa478a8b8",
      "addressSignaturePayload": "7b225465787441646472657373223a22324e313941636968513161344d78515736353855464854696f554e6e4d6b6948506b77227d",
      "signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503"
    },
    "assets": [
      {
        "assetType": "BTC",
        "availableBalance": {
          "quantity": "10.00000000",
          "assetType": "BTC",
          "currentPrice": "9751.01",
          "currentUSDValue": "97510.1"
        },
        "totalBalance": {
          "quantity": "10.45234733",
          "assetType": "BTC",
          "currentPrice": "9751.01",
          "currentUSDValue": "101920.94"
        },
        "stakedBalance": {
          "quantity": "32.00000000",
          "assetType": "BTC",
          "currentPrice": "9751.01",
          "currentUSDValue": "312032.32"
        },
        "unclaimedBalance": {
          "quantity": "0",
          "assetType": "BTC",
          "currentPrice": "9751.01",
          "currentUSDValue": "0"
        },
        "unvestedBalance": {
          "quantity": "0",
          "assetType": "BTC",
          "currentPrice": "9751.01",
          "currentUSDValue": "0"
        },
        "unvestedUnstakeableBalance": {
          "quantity": "0",
          "assetType": "BTC",
          "currentPrice": "9751.01",
          "currentUSDValue": "0"
        }
      }
    ],
    "vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
    "vaultName": "Long Hold Vault",
    "isDefault": true,
    "isArchived": false,
    "networkId": "BTC",
    "type": "WALLET"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

vaultId
string
required

The ID of the vault holding the new wallet

Body

application/json
networkId
string
required

The ID of the network for assets in this wallet.

Example:

"BTC"

compatibleNetworkIds
string[]

Optional list of additional compatible network IDs to activate this wallet on. All networks must share the same key family as the primary networkId. Activation on these networks happens synchronously after the initial wallet creation.

subaccountId
string

The Subaccount Identifier to link this wallet.(in development / early access)

walletName
string | null

The name of the Wallet.

Example:

"Bitcoin Mainnet - Wallet 1"

Response

The new wallet info in this vault

data
WalletDetails · object
required
Example:
{
"walletId": "3d293c0d64c703023692216e9b4f5280",
"walletName": "Bitcoin Mainnet - Wallet 1",
"depositAddress": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"addressId": "a33f83d96ca95cac000a344aa478a8b8",
"addressSignaturePayload": "7b225465787441646472657373223a22324e313941636968513161344d78515736353855464854696f554e6e4d6b6948506b77227d",
"signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503"
},
"assets": [
{
"assetType": "BTC",
"availableBalance": {
"quantity": "10.00000000",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "97510.1"
},
"totalBalance": {
"quantity": "10.45234733",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "101920.94"
},
"stakedBalance": {
"quantity": "32.00000000",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "312032.32"
},
"unclaimedBalance": {
"quantity": "0",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "0"
},
"unvestedBalance": {
"quantity": "0",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "0"
},
"unvestedUnstakeableBalance": {
"quantity": "0",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "0"
}
}
],
"vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
"vaultName": "Long Hold Vault",
"isDefault": true,
"isArchived": false,
"networkId": "BTC",
"type": "WALLET"
}